aboutsummaryrefslogtreecommitdiff
path: root/tools/etc/icpc/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/etc/icpc/update.sh')
-rw-r--r--tools/etc/icpc/update.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/etc/icpc/update.sh b/tools/etc/icpc/update.sh
new file mode 100644
index 0000000..f6b4bb6
--- /dev/null
+++ b/tools/etc/icpc/update.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+if [ "`id -u`" != "0" ]; then
+ echo "Script must run as root"
+fi
+wget -O /tmp/update.sh "http://www.ime.usp.br/~cassio/boca/update.sh"
+if [ $? != 0 ]; then
+ echo "ERROR DOWNLOADING UPDATE"
+ exit 1
+fi
+echo ">>>>>>>>>>"
+echo ">>>>>>>>>> Running update script"
+echo ">>>>>>>>>>"
+/tmp/update.sh
+exit $?